Home | All Classes | Grouped Classes | Index | Search

# CL_IRCConnection::send_topic

Set/Get topic on channel.

    	void send_topic(
    		const std::string& channel, const std::string& topic);

    	void send_topic(
    		const std::string& channel);

Parameters:

channel
  Channel name.
topic
  New topic to be set.

Detailed description:

If no topic is specified, this will make the IRC server send back what the topic is on a given channel.

See also:

CL_IRCConnection

Questions or comments, write to the ClanLib mailing list.